// api接口配置文件
const baseURL = 'https://sqtg.hdlkeji.com' //社区团购
module.exports = {
  /* 版本号 */
  Version: '3.0.6',
  /* 用户登录 */
  weChatLogin: baseURL + '/api/Login/weChatLogin', //微信登录（小程序）
  get_token: baseURL + '/api/Login/get_token', //根据用户ID获取token
  send_sms: baseURL + '/api/Login/send_sms', //发送短信验证码
  OrderCallback: baseURL + '/api/Login/OrderCallback', //微信支付回调
  /* 订单 */
  Order_add: baseURL + '/api/Order/Order_add', //用户下单
  Order_info: baseURL + '/api/Order/Order_info', //订单详情
  Order_edit_info: baseURL + '/api/Order/Order_edit_info', //用户修改订单信息
  Order_cancel: baseURL + '/api/Order/Order_cancel', //用户取消订单
  Order_receiving: baseURL + '/api/Order/Order_receiving', //用户确认收货
  Order_refund: baseURL + '/api/Order/Order_refund', //用户订单申请退款
  Order_refund_revoke: baseURL + '/api/Order/Order_refund_revoke', //用户订单撤销申请退款
  Order_edit_refund: baseURL + '/api/Order/Order_edit_refund', //用户订单修改申请退款
  Order_address: baseURL + '/api/Order/Order_address', //用户修改收货地址
  Order_payment_method: baseURL + '/api/Order/Order_payment_method', //用户支付方式
  Order_payment: baseURL + '/api/Order/Order_payment', //用户支付
  Service: baseURL + '/api/Order/Service', //微信支付手续费
  Print: baseURL + '/api/Order/Print', //打印面单
  /* OSS对象存储 */
  upload: baseURL + '/api/Upload/upload', //文件上传
  getSignedUrl: baseURL + '/api/Upload/getSignedUrl', //获取配置
  /* 商品管理 */
  Commodity_add: baseURL + '/api/Commodity/Commodity_add', //添加商品
  Commodity_info: baseURL + '/api/Commodity/Commodity_info', //商品详情
  Commodity_list: baseURL + '/api/Commodity/Commodity_list', //商品列表
  /* 会员管理 */
  user_info: baseURL + '/api/Member/user_info', //个人信息
  edit_info: baseURL + '/api/Member/edit_info', //编辑个人信息
  subscribe: baseURL + '/api/Member/subscribe', //用户订阅团长
  unsubscribe: baseURL + '/api/Member/unsubscribe', //用户取消订阅团长
  footprints: baseURL + '/api/Member/footprints', //用户足迹
  Member_order: baseURL + '/api/Member/Member_order', //首页我的订单
  sms: baseURL + '/api/Member/sms', //发送短信
  authentication: baseURL + '/api/Member/authentication', //个人认证
  Member_point: baseURL + '/api/Member/Member_point', //添加自取点
  email: baseURL + '/api/Member/email', //发送邮箱
  /* 拼团管理 */
  Gang_add: baseURL + '/api/Gang/Gang_add', //添加拼团
  Gang_info: baseURL + '/api/Gang/Gang_info', //拼团详情
  commodity: baseURL + '/api/Gang/commodity', //编辑拼团商品列表
  Gang_point: baseURL + '/api/Gang/Gang_point', //自取点列表
  Gang_point_edit: baseURL + '/api/Gang/Gang_point_edit', //自取点修改
  Gang_invite: baseURL + '/api/Gang/Gang_invite', //拼团自取信息
  Gang_order: baseURL + '/api/Gang/Gang_order', //拼团订单列表
  Gang_commodity: baseURL + '/api/Gang/Gang_commodity', //拼团商品列表
  Gang_by: baseURL + '/api/Gang/Gang_by', //截至拼团
  Gang_open: baseURL + '/api/Gang/Gang_open', //开启拼团
  Gang_edit: baseURL + '/api/Gang/Gang_edit', //编辑拼团
  /* 评论管理 */
  Comment_list: baseURL + '/api/Comment/Comment_list', //评论列表
  Comment_add: baseURL + '/api/Comment/Comment_add', //添加评论
  /* 用户收货地址列表 */
  Address_list: baseURL + '/api/Address/Address_list', //用户收货地址列表
  Address_add: baseURL + '/api/Address/Address_add', //用户添加收货地址
  Address_edit: baseURL + '/api/Address/Address_edit', //用户编辑收货地址
  /* 团长管理 */
  Head_list: baseURL + '/api/Head/Head_list', //用户订阅团长列表
  list_info: baseURL + '/api/Head/list_info', //团长拼团列表
  Head_info: baseURL + '/api/Head/Head_info', //团长详情
  /* 历史搜索管理 */
  Search_list: baseURL + '/api/Search/Search_list', //用户历史搜索
  Search_delete: baseURL + '/api/Search/Search_delete', //用户历史搜索删除
  /* 团长订单管理 */
  OrderManagement_list: baseURL + '/api/Ordermanagement/OrderManagement_list', //团长订单首页订单列表
  Ordermanagement_info: baseURL + '/api/Ordermanagement/Ordermanagement_info', //订单详情
  OrderManagement_selection: baseURL + '/api/Ordermanagement/OrderManagement_selection', //拼团选择
  OrderManagement_paid: baseURL + '/api/Ordermanagement/OrderManagement_paid', //团员已支付
  OrderManagement_picked_up: baseURL + '/api/Ordermanagement/OrderManagement_picked_up', //团员已取货
  OrderManagement_pick_notice: baseURL + '/api/Ordermanagement/OrderManagement_pick_notice', //团长发送取货通知
  OrderManagement_payment_order: baseURL + '/api/Ordermanagement/OrderManagement_payment_order', //团长发送付款通知
  OrderManagement_notice: baseURL + '/api/Ordermanagement/OrderManagement_notice', //团长单通知
  OrderManagement_statistics: baseURL + '/api/Ordermanagement/OrderManagement_statistics', //销售统计
  OrderManagement_export: baseURL + '/api/Ordermanagement/OrderManagement_export', //导出订单
  /* 团长退货管理 */
  ReturnGoods_list: baseURL + '/api/Returngoods/ReturnGoods_list', //团长退货管理列表
  ReturnGoods_info: baseURL + '/api/Returngoods/ReturnGoods_info', //团长退货处理详情
  ReturnGoods_refund: baseURL + '/api/Returngoods/ReturnGoods_refund', //团长同意退款申请
  ReturnGoods_no_refund: baseURL + '/api/Returngoods/ReturnGoods_no_refund', //团长不同意款申请
  /* 团长提现管理 */
  Withdrawalmanagement_balance: baseURL + '/api/Withdrawalmanagement/Withdrawalmanagement_balance', //团长账户余额
  Withdrawalmanagement_apply: baseURL + '/api/Withdrawalmanagement/Withdrawalmanagement_apply', //团长申请提现
  Withdrawalmanagement_list: baseURL + '/api/Withdrawalmanagement/Withdrawalmanagement_list', //团长提现记录
  Withdrawalmanagement_info: baseURL + '/api/Withdrawalmanagement/Withdrawalmanagement_info', //团长申请提现详情
  Withdrawalmanagement_industry: baseURL + '/api/Withdrawalmanagement/Withdrawalmanagement_industry', //行业列表
  /* 团长收支明细 */
  Detailed_list: baseURL + '/api/Detailed/Detailed_list', //团长收支明细记录
  Detailed_gang_list: baseURL + '/api/Detailed/Detailed_gang_list', //团长收支明细拼团列表
  Detailed_info: baseURL + '/api/Detailed/Detailed_info', //团长收支明细详情
  /* 帮卖 */
  Helpsell_add: baseURL + '/api/Helpsell/Helpsell_add', //团长添加帮卖商品
  Helpsell_list: baseURL + '/api/Helpsell/Helpsell_list', //团长帮卖商品列表
  Helpsell_delete: baseURL + '/api/Helpsell/Helpsell_delete', //团长删除帮卖商品
  /* 供应大厅 */
  Supplyhall_list: baseURL + '/api/Supplyhall/Supplyhall_list', //供应大厅列表
  Supplyhall_head_info: baseURL + '/api/Supplyhall/Supplyhall_head_info', //团长详情
  Supplyhall_apply: baseURL + '/api/Supplyhall/Supplyhall_apply', //申请帮卖
  Supplyhall_help_sell: baseURL + '/api/Supplyhall/Supplyhall_help_sell', //我的申请
  Supplyhall_supplier_list: baseURL + '/api/Supplyhall/Supplyhall_supplier_list', //关联供货商
  Supplyhall_apply_info: baseURL + '/api/Supplyhall/Supplyhall_apply_info', //申请详情
  Cancel_help_sale: baseURL + '/api/Supplyhall/Cancel_help_sale', //取消帮卖
  Supplyhall_apply_cancel: baseURL + '/api/Supplyhall/Supplyhall_apply_cancel', //撤销申请
  /* 卖货团长 */
  Sellgoods_list: baseURL + '/api/Sellgoods/Sellgoods_list', //正在帮卖列表
  Sellgoods_status: baseURL + '/api/Sellgoods/Sellgoods_status', //正在帮卖同意申请和不同意
  Sellgoods_time: baseURL + '/api/Sellgoods/Sellgoods_time', //卖货申请时间
  /* 商品分类 */
  Classification_list: baseURL + '/api/Classification/Classification_list', //商品分类
  /* 商品库 */
  Commoditywarehouse_list: baseURL + '/api/Commoditywarehouse/Commoditywarehouse_list', //商品库列表
  Commoditywarehouse_head: baseURL + '/api/Commoditywarehouse/Commoditywarehouse_head', //商品库团长列表
  Commoditywarehouse_edit: baseURL + '/api/Commoditywarehouse/Commoditywarehouse_edit', //商品库设置分类
  Commoditywarehouse_delete: baseURL + '/api/Commoditywarehouse/Commoditywarehouse_delete', //商品库删除商品
  Commodity_edit: baseURL + '/api/Commoditywarehouse/Commodity_edit', //商品库编辑商品
  /* 二维码管理 */
  Code_gang: baseURL + '/api/Code/Code_gang', //拼团详情分享二维码
  Code_user: baseURL + '/api/Code/Code_user', //卖家首页
  /* 订单核销管理 */
  Orderwrite_list: baseURL + '/api/Orderwrite/Orderwrite_list', //订单核销列表
  Orderwrite: baseURL + '/api/Orderwrite/Orderwrite', //订单核销
  /* 管理员管理 */
  Administrators_list: baseURL + '/api/Administrators/Administrators_list', //管理员列表
  Administrators_delete: baseURL + '/api/Administrators/Administrators_delete', //删除管理员
  Administrators_add: baseURL + '/api/Administrators/Administrators_add', //添加管理员
  /* 统计分析 */
  Income_list: baseURL + '/api/Statistics/Income_list', //统计分析收入
  Expenditure_list: baseURL + '/api/Statistics/Expenditure_list', //统计分析支出
  order_list: baseURL + '/api/Statistics/order_list', //订单收入
  Buyer_ranking: baseURL + '/api/Statistics/Buyer_ranking', //买家排名
  Commodity_ranking: baseURL + '/api/Statistics/Commodity_ranking', //商品排名
  Help_sell_ranking: baseURL + '/api/Statistics/Help_sell_ranking', //帮卖排名
  Supplier_ranking: baseURL + '/api/Statistics/Supplier_ranking', //供货商排名
  /* 链接地址 */
  service: baseURL + '/api/Config/service', //平台客服链接
  course: baseURL + '/api/Config/course', //卖家教程链接
  agreement: baseURL + '/api/Config/agreement', //服务协议链接
}