const app = getApp()
Component({
  properties: {
    navbarData: { //navbarData   由父页面传递的数据，变量名字自命名
      type: Object,
      value: {},
      observer: function (newVal, oldVal) {}
    },
    backgroundColor: {
      type: String,
      value: '#F7F7F7'
    },
    fontColor: {
      type: String,
      value: '#2c2b2b'
    },
    
  },
  data: {
    height: '',
    //默认值 默认显示左上角 默认返回上一页
    navbarData: {
      showCapsule: 1,
      capsuleMode: 'navBack', //显示模式（navBack：返回上一页；navHome：返回首页）
    }
  },
  attached: function () {
    // 获取是否是通过分享进入的小程序
    this.setData({
      share: app.globalData.share
    })
    // 定义导航栏的高度   方便对齐
    this.setData({
      height: app.globalData.height
    })
    let pages = getCurrentPages();
    let key = `navbarData.capsuleMode`;
    if(pages[pages.length - 2]) {
      this.setData({
        [key]: 'navBack'
      })
    }else{
      this.setData({
        [key]: 'navHome'
      })
    }
  },
  methods: {
    // 返回上一页面
    _navback() {
      wx.navigateBack({
        delta: 1,
        fail(err) {
          console.log(err);
          wx.switchTab({
            url: '/pages/index/index',
          })
        }
      })
    },
    //返回到首页
    _backhome() {
      wx.switchTab({
        url: '/pages/index/index',
      })
    }
  }

})