// pages/company/company.js
const app = getApp();
const api = require('../../api/api');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '提现申请', //导航栏 中间的标题
      capsuleMode: 'navBack', //显示模式（navBack：返回上一页；navHome：返回首页）
    },
    chang: 0,
    fileList: [],
    fileList1: [],
    checked: false,
    yes: false,
    // 表单
    billdata: {}
  },
  switoff() {
    this.setData({
      checked: !this.data.checked
    })
  },
  textarea(e) {
    this.setData({
      chang: e.detail.cursor
    })
  },
  addimg(e) {
    let list = this.data.fileList;
    list.push(e.detail.file);
    this.setData({
      fileList: list
    })
  },
  delimg(e) {
    let list = this.data.fileList
    list.splice(e.detail.index, 1)
    this.setData({
      fileList: list
    })
  },
  addimg1(e) {
    let list = this.data.fileList;
    list.push(e.detail.file);
    this.setData({
      fileList1: list
    })
  },
  delimg1(e) {
    let list = this.data.fileList
    list.splice(e.detail.index, 1)
    this.setData({
      fileList1: list
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    let id = Number(options.id);
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: api.Withdrawalmanagement_info,
      header: {
        'Authorization': wx.getStorageSync('token')
      },
      data: {
        id: id
      },
      method: 'POST',
      success(res) {
        console.log(res);
        if (res.data.code === 1) {
          res.data.data.create_time = res.data.data.create_time.slice(0, 16)
          that.setData({
            billdata: res.data.data
          })
        } else {
          wx.showToast({
            title: res.data.msg,
            mask: true,
            icon: 'none'
          })
        }
      },
      fail(err) {
        wx.showToast({
          title: '发起网络请求失败',
          icon: 'none',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      }
    })
    // if(options.type == 'apply') {
    //   setTimeout(()=>{
    //     wx.reLaunch({
    //       url: '/pages/companyrecord/companyrecord',
    //     })
    //   }, 2000)
    // }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  callBusiness() {
    wx.makePhoneCall({
      phoneNumber: this.data.billdata.business_phone
    })
  },
  navToServer() {
    wx.navigateTo({
      url: '/pages/webview/webview?type=service',
    })
  },
  dowloadSJ() {
    
  }
})