// pages/companyrecord/companyrecord.js
const app = getApp();
const api = require('../../api/api');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '提现记录', //导航栏 中间的标题
      capsuleMode: 'navBack', //显示模式（navBack：返回上一页；navHome：返回首页）
    },
    tab: [
      "全部", "提现中", "提现成功"
    ],
    indexs: 0,
    withdrawal_status: 0, //提现状态（0提现中，1提现成功，全部不传值）
    listdata: [], //提现列表
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  switchTab(e) {
    // console.log(e);
    this.setData({
      indexs: e.currentTarget.dataset.index
    })
    this.getData()
  },
  // 获取数据
  getData() {
    let that = this;
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    if (that.data.indexs === 0) {
      wx.request({
        url: api.Withdrawalmanagement_list,
        header: {
          'Authorization': wx.getStorageSync('token')
        },
        method: 'POST',
        success(res) {
          console.log(res);
          if (res.data.code === 1) {
            that.setData({
              listdata: res.data.data
            })
          } else {
            wx.showToast({
              title: res.data.msg,
              mask: true,
              icon: 'none'
            })
          }
        },
        fail(err) {
          wx.showToast({
            title: '发起网络请求失败',
            icon: 'none',
            mask: true
          })
        },
        complete() {
          wx.hideLoading()
        }
      })
    } else {
      wx.request({
        url: api.Withdrawalmanagement_list,
        header: {
          'Authorization': wx.getStorageSync('token')
        },
        method: 'POST',
        data: {
          withdrawal_status: that.data.indexs - 1
        },
        success(res) {
          console.log(res);
          if (res.data.code === 1) {
            that.setData({
              listdata: res.data.data
            })
          } else {
            wx.showToast({
              title: res.data.msg,
              mask: true,
              icon: 'none'
            })
          }
        },
        fail(err) {
          wx.showToast({
            title: '发起网络请求失败',
            icon: 'none',
            mask: true
          })
        },
        complete() {
          wx.hideLoading()
        }
      })
    }
  },
  // 跳转详情
  navToDetail(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/company/company?id=' + id,
    })
  },
  // 下载收据
  dowloadSJ(e) {
    console.log(e);
  }
})