const app = getApp();
const api = require('../../api/api');
Page({
  data: {
    phoneCode: '86',
    verifyCode: '',
    telPhone: '',
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '个人认证', //导航栏 中间的标题,
      capsuleMode: 'navBack', //显示模式（navBack：返回上一页；navHome：返回首页）
    },
  },

  choosePhoneCode() {
    wx.navigateTo({
      url: '/pages/countryPhoneCode/countryPhoneCode',
    })
  },

  getTelValue(e) {
    this.setData({
      telPhone: e.detail.value
    })
  },

  getCodeValue(e) {
    this.setData({
      verifyCode: e.detail.value
    })
  },

  submitData() {
    let that = this;
    let phonenumber = that.data.phoneCode + '-' + that.data.telPhone;
    let phone = Number(that.data.phoneCode + that.data.telPhone);
    if (that.data.phoneCode != '' && that.data.telPhone != '') {

      /*       var regExp = new RegExp("^1[3578]\\d{9}$");
            if (regExp.test(that.data.telPhone)) {

            } else {
              wx.showToast({
                title: '手机号格式错误',
                icon: 'error',
                mask: true
              })
            } */
      wx.showLoading({
        title: '短信发送中',
        mask: true
      })
      wx.request({
        url: api.send_sms,
        header: {
          'Authorization': wx.getStorageSync('token')
        },
        data: {
          phone: phone
        },
        method: 'POST',
        success(res) {
          console.log(res);
          wx.hideLoading()
          if (res.data.code === 1) {
            wx.showToast({
              title: res.data.msg,
              icon: 'success',
              mask: true,
              success() {
                setTimeout(() => {
                  wx.setStorageSync('phonenumber', phonenumber);
                  wx.navigateTo({
                    url: '/pages/verifycode/verifycode?phone=' + phonenumber,
                  })
                }, 1500)
              }
            })
          } else {
            wx.showToast({
              title: res.data.msg,
              mask: true,
              icon: 'none',
              duration: 2000
            })
          }
        },
        fail(err) {
          wx.hideLoading()
          wx.showToast({
            title: '发起网络请求失败',
            icon: 'none',
            mask: true
          })
        },
        complete() {
          // wx.hideLoading()
        }
      })
    } else {
      wx.showToast({
        title: '手机号码为空！',
        icon: 'error',
        mask: true
      })
    }
  }
})