// pages/publish/publish.js
const app = getApp();
const api = require('../../api/api');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: 0,
    pintuan: [],
    creat:false, //是否能继续新建拼团
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let that = this;
    that.setData({
      height: app.globalData.height
    })
    // 获取团长详情
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: api.Head_info,
      header: {
        'Authorization': wx.getStorageSync('token')
      },
      data: {
        id: wx.getStorageSync('userinfo').id,
      },
      success(res) {
        console.log(res);
        if (res.data.code === 1) {
          that.setData({
            pintuan: res.data.data.gang_list,
            creat:true
          })
        } else {
          that.setData({
            pintuan: res.data.data.gang_list,
            creat:false
          })
          wx.showToast({
            title: res.data.msg,
            mask: true,
            icon: 'none'
          })
        }
      },
      fail(err) {
        wx.showToast({
          title: '发起网络请求失败',
          icon: 'none',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      }
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // 自定义方法
  navgo(e) {
    let url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },
  // 拼团跳转
  navToPinTuanDetail(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/pintuandetail/pintuandetail?type=dingyue&id=' + id,
    })
  },
  announce(){
    if(wx.getStorageSync('userinfo').id){
      wx.navigateTo({
        url: '/pages/announce/announce?type=add',
      })
      }else{
        wx.showToast({
            title: '请先登录',
            mask: true,
            icon: 'none'
          })
      }
  },
  copypastgroup(){
    if(wx.getStorageSync('userinfo').id){
      wx.navigateTo({
        url: '/pages/copypastgroup/copypastgroup',
      })
      }else{
        wx.showToast({
            title: '请先登录',
            mask: true,
            icon: 'none'
          })
      }
  },
})