// pages/helpsell/helpsell.js
const app = getApp();
const api = require('../../api/api');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navbarData: {
      showCapsule: 1,
      capsuleMode: 'navBack', //显示模式（navBack：返回上一页；navHome：返回首页）
    },
    height: 0,
    classify: [
      "生鲜", "教育", "熟食", "生鲜", "教育", "熟食", "甜点糕点", "生活用品"
    ],
    sidetabs: ["全部", "肉类", "海鲜", "教育", "熟食", "生活用品"],
    pintuan: [{
      title: "拼团内容这里全是拼团内容",
      plan: 67,
      time: "倒计时3天12小时",
      statu: 1,
      goods: ['https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg']
    }, {
      title: "拼团内容这里又是拼团内容",
      plan: 80,
      time: "倒计时3天13小时",
      statu: 1,
      goods: ['https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg']
    }, {
      title: "拼团内容这里截团了",
      plan: 100,
      time: "2022-03-11 15:42",
      statu: 0,
      goods: ['https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg', 'https://img.alicdn.com/imgextra/i3/103680052/O1CN01DyoqTe1CFrKNUj4Gj_!!0-saturn_solar.jpg_270x270.jpg']
    }],
    showphone: false,
    phone: [{
      name: '15283737271'
    }],
    showfen: false,
    fenxiang: [{
      name: '分享给朋友'
    }, {
      name: '分享到朋友圈'
    }],
    sideindex: 0,
    enterType: 1, //进入类型（0：待审核-团长详情页；1：正在帮卖-团长详情页；）
  },
  _navback() {
    wx.navigateBack()
  },
  showfens() {
    this.setData({
      showfen: true
    })
  },
  sidetap(e) {
    this.setData({
      sideindex: e.currentTarget.dataset.index
    })
  },
  showphones() {
    this.setData({
      showphone: true
    })
  },
  offzhe() {
    this.setData({
      showfen: false,
      showphone: false
    })
  },
  phoneok(e) {
    wx.makePhoneCall({
      phoneNumber: e.detail.name,
    })
  },
  gobianji() {
    wx.navigateTo({
      url: '/pages/userinfo/userinfo',
    })
  },
  fenok(e) {
    console.log("我点击分享了")
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      height: app.globalData.height
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // 跳转团长微信二维码
  navToWXQrcode() {
    let headimg = this.data.user_info.headimg;
    let name = this.data.user_info.name;
    let wechat_code = this.data.user_info.wechat_code;
    wx.navigateTo({
      url: '/pages/wxqrcode/wxqrcode?headimg=' + headimg + '&name=' + name + '&wechat_code=' + wechat_code
    })
  },
})