// pages/verify/verify.js
const app = getApp();
const api = require('../../api/api');
let innerAudioContext = wx.createInnerAudioContext();
innerAudioContext.src = 'https://down.ear0.com:3321/index/preview?soundid=35314&type=mp3&audio=sound.mp3'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    card_number: '', //卡券号
  },
  //扫描二维码成功回调
  sao(res) {
    innerAudioContext.play();
    let result = res.detail.result;
    // console.log(result);
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2]; //上一个页面
    prevPage.setData({
      code_result: result
    })
    wx.navigateBack({
      delta: 1,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  navToPage() {
    wx.navigateBack({
      delta: 1,
    })
  },
  submit() {
    let that = this;
    console.log(111);
    return
    if (that.data.card_number == '') {
      wx.showToast({
        title: '订单核销码未录入',
        mask: true,
        icon: 'none'
      })
      return
    }
    wx.showLoading({
      title: '提交中',
      mask: true
    })
    wx.request({
      url: api.Orderwrite,
      header: {
        'Authorization': wx.getStorageSync('token')
      },
      data: {
        card_number: that.data.card_number,
        write_method: 0
      },
      method: 'POST',
      success(res) {
        wx.hideLoading()
        console.log(res);
        if (res.data.code === 1) {
          wx.showToast({
            title: '核销成功',
            mask: true,
            success() {
              setTimeout(() => {
                wx.navigateBack({
                  delta: 1
                })
              }, 1500)
            }
          })
        } else {
          wx.showToast({
            title: res.data.msg,
            mask: true,
            icon: 'none'
          })
        }
      },
      fail(err) {
        wx.hideLoading()
        wx.showToast({
          title: '发起网络请求失败',
          icon: 'none',
          mask: true
        })
      },
      complete() {
        // wx.hideLoading()
      }
    })
  }
})